CGAL 6.2 - 3D Convex Hulls: Directional Queries Functions

CGAL 6.2 - 3D Convex Hulls

Loading...
Searching...
No Matches
Functions
Directional Queries Functions
Reference Manual

##

## Functions
template<class PolygonMesh , class Direction >
boost::graph_traits< PolygonMesh >::vertex_descriptor | CGAL::extreme_vertex_3 (const Convex_hull_hierarchy_3< PolygonMesh > &ch, const Direction &dir)
| returns the vertex of the convex hull whose geometric position projected onto that direction is maximal.
template<class PointRange , class Direction , class NamedParameters = parameters::Default_named_parameters>
Point_3 | CGAL::extreme_point_3 (const PointRange &r, const Direction &dir, const NamedParameters &np=parameters::default_values())
| returns the point of the convex hull whose projection onto that direction is maximal.
template<class Graph , class Direction , class NamedParameters = parameters::Default_named_parameters>
boost::graph_traits< Graph >::vertex_descriptor | CGAL::extreme_vertex_3 (const Graph &g, const Direction &dir, const NamedParameters &np=parameters::default_values())
| returns the vertex of the convex hull whose geometric position projected onto that direction is maximal.

## Function Documentation

## ◆ extreme_point_3()

template<class PointRange , class Direction , class NamedParameters = parameters::Default_named_parameters>

Point_3 CGAL::extreme_point_3 | ( | const PointRange & | r,
|  | const Direction & | dir,
|  | const NamedParameters & | np = `parameters::default_values()`
| ) |  |

`#include <CGAL/extreme_point_3.h>`

returns the point of the convex hull whose projection onto that direction is maximal.

If not unique, a single point is returned.

Template Parameters

  PointRange | is a model of `ConstRange`. The value type of its iterator is the key type of the named parameter `point_map`.
  Direction | must be a `Direction_3` typedef of a CGAL kernel
  NamedParameters | a sequence of Named Parameters

Parameters

  r | the range of points
  dir | the direction
  np | an optional sequence of Named Parameters among the ones listed below

Optional Named Parameters

  a property map associating points to the elements of `r` Type: a model of `ReadablePropertyMap` with value type is a model `CGAL::Point_3` Default: `CGAL::Identity_property_map` |

Returns
  an instance of the key type of `point_map` parameter

## ◆ extreme_vertex_3() [1/2]

template<class PolygonMesh , class Direction >

boost::graph_traits< PolygonMesh >::vertex_descriptor CGAL::extreme_vertex_3 | ( | const Convex_hull_hierarchy_3< PolygonMesh > & | ch,
|  | const Direction & | dir
| ) |  |

`#include <CGAL/Convex_hull_hierarchy_3.h>`

returns the vertex of the convex hull whose geometric position projected onto that direction is maximal.

If not unique, a single vertex is returned.

Template Parameters

  Mesh | a model of `VertexListGraph` and `MutableFaceGraph`
  Direction | is a model of `Kernel::Direction_3`.

Parameters

  ch | the convex hull
  dir | the direction

## ◆ extreme_vertex_3() [2/2]

template<class Graph , class Direction , class NamedParameters = parameters::Default_named_parameters>

boost::graph_traits< Graph >::vertex_descriptor CGAL::extreme_vertex_3 | ( | const Graph & | g,
|  | const Direction & | dir,
|  | const NamedParameters & | np = `parameters::default_values()`
| ) |  |

`#include <CGAL/extreme_point_3.h>`

returns the vertex of the convex hull whose geometric position projected onto that direction is maximal.

If not unique, a single vertex is returned.

Template Parameters

  Graph | is a model of `VertexListGraph` and `AdjacencyGraph`.
  Direction | must be a `Direction_3` typedef of a CGAL kernel
  NamedParameters | a sequence of Named Parameters

Parameters

  g | the convex graph
  dir | the direction
  np | an optional sequence of Named Parameters among the ones listed below

Precondition
  The input graph must represent a convex object to guarantee a correct answer.

Optional Named Parameters

  a property map associating points to the vertices of `g` Type: a model of `ReadablePropertyMap` Default: boost::get(CGAL::vertex_point, g) Extra: If this parameter is omitted, an internal property map for `CGAL::vertex_point_t` must be available in `Graph`. |